/*
 * Copyright (c) 2013 ThemeMarket
 * Author: Azamat Umarov 
 * This file is made for "Blog" template
*/

jQuery(document).ready(function(){
	
	
// -----------------------------------------------------  NAV MOVEMENT
	jQuery('ul.movement li a').hover(
		function(){jQuery(this).animate({ left:'+=10'}, 300)}, function(){jQuery(this).animate({ left:'-=10'}, 300)} 	
	);

// -----------------------------------------------------  SCROLL TO TOP
	$("a[href='#top']").click(function() {
		$("html, body").animate({ scrollTop: 0 }, "slow");
		return false;
	});

// -----------------------------------------------------  SOCIAL ICONS MOVEMENT	
	jQuery('ul.social-movement li a').hover(
		function(){jQuery(this).animate({ top:'-=5'}, 300)}, function(){jQuery(this).animate({ top:'+=5'}, 300)}
	)
	
// -----------------------------------------------------  DEVICE MENU TOGGLE
	jQuery('.menu-toggle a').click(function(e){
		e.preventDefault();
		jQuery('.menu-device').stop().slideToggle(500);
	})
	
// -----------------------------------------------------  NOTIFICATIONS CLOSER
	jQuery('span.closer').click(function(e){
		e.preventDefault();
		jQuery(this).parent('.notifications').stop().slideToggle(500);
	})
	
// -----------------------------------------------------  LEFT LAST SPAN.BORDER
	jQuery('div.side span.border').last().css('display', 'none');
	
// -----------------------------------------------------  TOGGLE WIDGET	
	jQuery("div.dropdown").hide();
	jQuery("div.button").click(function(){
		$(this).toggleClass("active").next("div.dropdown").slideToggle("slow");
		return true;
	});
	
// -----------------------------------------------------  NAV SUB MENU(SUPERFISH)
	jQuery('.nav ul').superfish({
		delay: 250,
		animation: {opacity:'show', height:'show'},
		speed: 'slow',
		autoArrows: false,
		dropShadows: false
	});
// -----------------------------------------------------  FLEXSLIDER
	jQuery('.flexslider').flexslider({
		animation: 'fade',
		controlNav: false,
		slideshowSpeed: 4000,
		animationDuration: 300
	});

	
// -----------------------------------------------------  MAIN CONTENT WIDTH AND HEIGHT
	function header() {
		var contentHeight = jQuery(".center").height();
		var contentWidth = jQuery(".center").width();
		var centerInner = jQuery(".center-inner");
		var centerInner2 = jQuery(".center-inner2");
		centerInner.css("width",contentWidth+(-20)+"px");
		centerInner2.css("width",contentWidth+(-30)+"px");

	}header(); $(window).resize(function(){header();});
	
// -----------------------------------------------------  TESTIMONIAL	
	jQuery('.testimonial-wrapper').cycle({
		fx: 'fade',
		timeout:5000, 
	});


	
// -----------------------------------------------------  TWITTER FEED
	jQuery('#tweets').jtwt({
		username: 'demdous',
		count: 3,
		image_size: 50
	});
	
// -----------------------------------------------------  FLICKR FEED
	jQuery('#basicuse').jflickrfeed({
		limit: 11,
		qstrings: {
			id: '52617155@N08'
		},
		itemTemplate: 
		'<li>' +
			'<a href="{{link}}" target="_blank"><img src="{{image_s}}" alt="{{title}}"  /></a>' +
		'</li>'
	});
	
// -----------------------------------------------------  AUDIO PLAYER
	jQuery("#jquery_jplayer_1").jPlayer({
		ready: function (event) {
			jQuery(this).jPlayer("setMedia", {
				m4a:"http://www.jplayer.org/audio/m4a/TSP-01-Cro_magnon_man.m4a",
				oga:"http://www.jplayer.org/audio/ogg/TSP-01-Cro_magnon_man.ogg"
			});
		},
		swfPath: "js",
		supplied: "m4a, oga",
		wmode: "window"
	});
	
// -----------------------------------------------------  PROJECT ISOTOPE
	// Needed variables
	var $container	 	= $("#project-list");
	var $filter 		= $("#project-filter");
		
	// Run Isotope  
	$container.isotope({
		filter				: '*',
		layoutMode   		: 'masonry',
		animationOptions	: {
		duration			: 750,
		easing				: 'linear'
	   }
	});	
	
	// Isotope Filter 
	$filter.find('a').click(function(){
	  var selector = $(this).attr('data-filter');
		$container.isotope({ 
		filter				: selector,
		animationOptions	: {
		duration			: 750,
		easing				: 'linear',
		queue				: false,
	   }
	  });
	  return false;
	});	
	
	// Copy categories to item classes
	$filter.find('a').click(function() {
		var currentOption = $(this).attr('data-filter');
		$filter.find('a').removeClass('current');
		$(this).addClass('current');
	});	

// -----------------------------------------------------  FANCYBOX FOR GALLERY
	$('.fancybox').fancybox();	

// -----------------------------------------------------  GOOGLE MAP		
	var myLatlng = new google.maps.LatLng(-34.397, 150.644);
	var myOptions = {
	  center: myLatlng,
	  zoom: 8,
	  mapTypeId: google.maps.MapTypeId.ROADMAP
	};
	var map = new google.maps.Map(document.getElementById("map"),  myOptions);
	var marker = new google.maps.Marker({
	  position: myLatlng,
	  map: map,
	  title:"Click Me for more info!"
	});
	
	var infowindow = new google.maps.InfoWindow({});
	
	google.maps.event.addListener(marker, 'click', function() {
		infowindow.setContent("Write here some description"); //sets the content of your global infowindow to string "Tests: "
		infowindow.open(map,marker); //then opens the infowindow at the marker
	});
	marker.setMap(map);
});

function submitForm(){
	$.post('plugin/sendmail.html',$('#contactForm').serialize(), function(msg) {
		$(".alertMessage").html(msg);
	});
	// Hide previous response text
	$(msg).remove();
	// Show response message
	contactform.prepend(msg);
}